%define major		0
%define libname		%mklibname mpg123_ %{major}
%define develname	%mklibname mpg123 -d

Summary:	MPEG audio player
Name:		mpg123
Version:	1.32.7
Release:	%mkrel 1
License:	LGPLv2+
Group:		Sound/Players
URL:		https://www.mpg123.de/
Source0:	https://mpg123.org/download/%{name}-%{version}.tar.bz2
Source1:	mp3license.tar.bz2
BuildRequires:	pkgconfig(alsa)
BuildRequires:	libltdl-devel
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sndio)
BuildRequires:	pkgconfig(zlib)

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
https://www.mpeg.org

%package pulse
Group: Sound/Players
Summary: Pulse audio output plugin for mpg123
Requires: %{name} >= %{version}

%description pulse
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a Pulse audio output plugin for mpg123.

%package jack
Group: Sound/Players
Summary: Jack audio output plugin for mpg123
Requires: %{name} >= %{version}

%description jack
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a Jackd audio output plugin for mpg123.

%package portaudio
Group: Sound/Players
Summary: Portaudio output plugin for mpg123
Requires: %{name} >= %{version}

%description portaudio
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a Portaudio audio output plugin for mpg123.

%package sdl
Group: Sound/Players
Summary: SDL audio output plugin for mpg123
Requires: %{name} >= %{version}

%description sdl
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a SDL audio output plugin for mpg123.

%package openal
Group: Sound/Players
Summary: OpenAL audio output plugin for mpg123
Requires: %{name} >= %{version}

%description openal
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a OpenAL audio output plugin for mpg123.

%package sndio
Group: Sound/Players
Summary: Sndio audio output plugin for mpg123
Requires: %{name} >= %{version}

%description sndio
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a Sndio audio output plugin for mpg123.

%package -n %{libname}
Group:System/Libraries
Summary: MPEG audio decoding library

%description -n %{libname}
libmpg123 is a fast, free and portable MPEG audio decoding library for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).


%package -n %{develname}
Group: Development/C
Summary: MPEG audio decoding library - development files
Requires: %{libname} = %{version}
Provides: libmpg123-devel = %{version}-%{release}

%description -n %{develname}
libmpg123 is a fast, free and portable MPEG audio decoding library for Unix.
This package provides the development libraries to build against it.

%prep
%setup -q -a 1

rm -f doc/README.WIN32

%build
%configure \
    --with-default-audio=alsa \
    --enable-ipv6=yes \
    --enable-network=yes

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
# do not remove .la files for plugins

%files
%doc doc/* NEWS README AUTHORS ChangeLog
%doc mp3license
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/output_alsa*
%{_libdir}/%{name}/output_dummy*
%{_libdir}/%{name}/output_oss*

%files pulse
%{_libdir}/%{name}/output_pulse*

%files jack
%{_libdir}/%{name}/output_jack*

%files portaudio
%{_libdir}/%{name}/output_portaudio*

%files sdl
%{_libdir}/%{name}/output_sdl*

%files openal
%{_libdir}/%{name}/output_openal*

%files sndio
%{_libdir}/%{name}/output_sndio*

%files -n %{libname}
%{_libdir}/libmpg123.so.%{major}{,.*}
%{_libdir}/libout123.so.%{major}{,.*}
%{_libdir}/libsyn123.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libmpg123.so
%{_libdir}/libout123.so
%{_libdir}/libsyn123.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/libmpg123.pc
%{_libdir}/pkgconfig/libout123.pc
%{_libdir}/pkgconfig/libsyn123.pc


%changelog
* Thu Aug 22 2024 daviddavid <daviddavid> 1.32.7-1.mga10
+ Revision: 2087412
- new version: 1.32.7
- switch to sdl2

* Tue Apr 23 2024 daviddavid <daviddavid> 1.32.6-1.mga10
+ Revision: 2060716
- new version: 1.32.6

* Tue Mar 05 2024 daviddavid <daviddavid> 1.32.5-1.mga10
+ Revision: 2047630
- new version: 1.32.5

* Sun Oct 29 2023 daviddavid <daviddavid> 1.32.3-1.mga10
+ Revision: 2002614
- new version: 1.32.3

* Mon Mar 20 2023 daviddavid <daviddavid> 1.31.3-1.mga9
+ Revision: 1949846
- new version: 1.31.3

* Sun Jan 15 2023 daviddavid <daviddavid> 1.31.2-1.mga9
+ Revision: 1933247
- new version: 1.31.2

* Mon Nov 07 2022 luigiwalser <luigiwalser> 1.31.1-1.mga9
+ Revision: 1904529
- 1.31.1

* Wed Oct 19 2022 ghibo <ghibo> 1.30.2-1.mga9
+ Revision: 1897657
- Update to release 1.30.2

* Fri Jul 15 2022 luigiwalser <luigiwalser> 1.30.1-1.mga9
+ Revision: 1869027
- 1.30.1

* Fri Jul 01 2022 luigiwalser <luigiwalser> 1.30.0-1.mga9
+ Revision: 1867007
- 1.30.0

* Fri Apr 01 2022 umeabot <umeabot> 1.29.3-2.mga9
+ Revision: 1839346
- Mageia 9 Mass Rebuild

* Mon Mar 07 2022 luigiwalser <luigiwalser> 1.29.3-1.mga9
+ Revision: 1789516
- 1.29.3

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.28.2-1.mga9
+ Revision: 1740248
- 1.28.2

* Tue May 25 2021 akien <akien> 1.27.2-2.mga9
+ Revision: 1728207
- Rebuild for sndio 1.8.0 with fixed SONAME

* Tue May 11 2021 daviddavid <daviddavid> 1.27.2-1.mga9
+ Revision: 1722466
- new version: 1.27.2

* Fri May 07 2021 daviddavid <daviddavid> 1.27.0-1.mga9
+ Revision: 1722223
- new version: 1.27.0

* Sun Apr 18 2021 daviddavid <daviddavid> 1.26.5-1.mga9
+ Revision: 1716491
- new version: 1.26.5

* Thu Dec 24 2020 daviddavid <daviddavid> 1.26.4-1.mga8
+ Revision: 1663322
- new version: 1.26.4

* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.26.3-1.mga8
+ Revision: 1647150
- 1.26.3

* Fri Jul 24 2020 kekepower <kekepower> 1.26.2-2.mga8
+ Revision: 1608817
- Rebuild for new sndio

* Sun Jul 05 2020 daviddavid <daviddavid> 1.26.2-1.mga8
+ Revision: 1602452
- new version: 1.26.2

* Mon Jun 01 2020 daviddavid <daviddavid> 1.26.1-1.mga8
+ Revision: 1589378
- new version: 1.26.1

* Thu May 28 2020 daviddavid <daviddavid> 1.26.0-1.mga8
+ Revision: 1588301
- new version: 1.26.0

* Mon Feb 17 2020 umeabot <umeabot> 1.25.13-2.mga8
+ Revision: 1537763
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Nov 09 2019 zezinho <zezinho> 1.25.13-1.mga8
+ Revision: 1458890
- new version 1.25.13

* Mon Aug 26 2019 zezinho <zezinho> 1.25.12-2.mga8
+ Revision: 1432366
- update plugins descriptions

* Sat Aug 24 2019 daviddavid <daviddavid> 1.25.12-1.mga8
+ Revision: 1431642
- new version: 1.25.12

* Fri Jul 19 2019 daviddavid <daviddavid> 1.25.11-1.mga8
+ Revision: 1422764
- new version: 1.25.11

* Sat Sep 08 2018 zezinho <zezinho> 1.25.10-1.mga7
+ Revision: 1257791
- new version 1.25.10

* Fri Dec 15 2017 zezinho <zezinho> 1.25.8-1.mga7
+ Revision: 1182684
- new version

* Wed Sep 27 2017 zezinho <zezinho> 1.25.7-1.mga7
+ Revision: 1160148
- new version

* Wed Sep 13 2017 zezinho <zezinho> 1.25.6-1.mga7
+ Revision: 1153638
- new version

* Sun Jul 30 2017 luigiwalser <luigiwalser> 1.25.4-1.mga7
+ Revision: 1132625
- 1.25.4

* Sat May 20 2017 zezinho <zezinho> 1.24.0-1.mga6
+ Revision: 1103497
- new version

* Wed Mar 01 2017 ghibo <ghibo> 1.23.8-2.mga6
+ Revision: 1088241
- Rebuilt against pulseaudio 10

* Mon Oct 17 2016 luigiwalser <luigiwalser> 1.23.8-1.mga6
+ Revision: 1061286
- 1.23.8 (fixes CVE-2016-1000247)

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.23.6-1.mga6
+ Revision: 1045519
- 1.23.6

* Wed May 25 2016 luigiwalser <luigiwalser> 1.23.4-1.mga6
+ Revision: 1018491
- 1.23.4

* Wed Mar 30 2016 zezinho <zezinho> 1.23.3-1.mga6
+ Revision: 996937
- new version 1.23.3
- new version 1.23.3

* Mon Mar 07 2016 fwang <fwang> 1.23.2-1.mga6
+ Revision: 986934
- update file list
+ zezinho <zezinho>
- new version
- new version

* Mon Dec 14 2015 zezinho <zezinho> 1.22.4-1.mga6
+ Revision: 910513
- new version

* Wed Oct 15 2014 umeabot <umeabot> 1.20.1-4.mga5
+ Revision: 746146
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.20.1-3.mga5
+ Revision: 727360
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.20.1-2.mga5
+ Revision: 682645
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 luigiwalser <luigiwalser> 1.20.1-1.mga5
+ Revision: 639052
- 1.20.1

* Tue May 27 2014 luigiwalser <luigiwalser> 1.20.0-1.mga5
+ Revision: 627013
- 1.20.0

* Sat Mar 08 2014 luigiwalser <luigiwalser> 1.19.0-1.mga5
+ Revision: 601408
- 1.19.0

* Mon Feb 17 2014 luigiwalser <luigiwalser> 1.18.1-1.mga5
+ Revision: 593284
- 1.18.1

* Wed Feb 05 2014 luigiwalser <luigiwalser> 1.18.0-1.mga5
+ Revision: 583741
- 1.18.0

* Mon Oct 21 2013 umeabot <umeabot> 1.16.0-2.mga4
+ Revision: 539687
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 luigiwalser <luigiwalser> 1.16.0-1.mga4
+ Revision: 492746
- 1.16.0

* Sat Jan 12 2013 umeabot <umeabot> 1.14.4-4.mga3
+ Revision: 360424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.14.4-3.mga3
+ Revision: 339613
- patch1: fix build with automake 1.13

* Sat Dec 01 2012 malo <malo> 1.14.4-2.mga3
+ Revision: 324565
- spec clean-up

* Fri Jul 27 2012 fwang <fwang> 1.14.4-1.mga3
+ Revision: 274928
- new version 1.14.4

* Mon Jul 02 2012 luigiwalser <luigiwalser> 1.14.3-1.mga3
+ Revision: 266558
- 1.14.3

* Mon May 28 2012 obgr_seneca <obgr_seneca> 1.14.2-1.mga3
+ Revision: 248685
- new version

* Sun Apr 15 2012 luigiwalser <luigiwalser> 1.13.8-1.mga2
+ Revision: 230827
- 1.13.8

* Wed Mar 28 2012 luigiwalser <luigiwalser> 1.13.7-1.mga2
+ Revision: 227221
- 1.13.7

* Wed Mar 07 2012 luigiwalser <luigiwalser> 1.13.5-1.mga2
+ Revision: 220945
- 1.13.5

* Wed Dec 07 2011 fwang <fwang> 1.13.4-4.mga2
+ Revision: 178014
- use .so to detech modules

* Thu Nov 03 2011 blino <blino> 1.13.4-3.mga2
+ Revision: 162035
- do not remove plugins .la files, they are needed for plugins loading

* Thu Sep 22 2011 fwang <fwang> 1.13.4-2.mga2
+ Revision: 146658
- drop .la files

* Thu Sep 08 2011 tv <tv> 1.13.4-1.mga2
+ Revision: 141143
- new release

* Thu Jun 16 2011 tv <tv> 1.13.3-1.mga2
+ Revision: 108422
- new release

* Mon Jan 24 2011 ahmad <ahmad> 1.13.1-2.mga1
+ Revision: 37874
- drop esound-devel (phasing out esuond support from the distro)
- make building nas support optional and disable (does anyone use it?)
- imported package mpg123


* Thu Jan 06 2011 Götz Waschk <waschk@mandriva.org> 1.13.1-1mdv2011.0
+ Revision: 629053
- update to new version 1.13.1

* Tue Dec 14 2010 Götz Waschk <waschk@mandriva.org> 1.13.0-1mdv2011.0
+ Revision: 621691
- update to new version 1.13.0

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 1.12.5-1mdv2011.0
+ Revision: 584012
- update to new version 1.12.5

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 1.12.4-1mdv2011.0
+ Revision: 579619
- update to new version 1.12.4

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.12.3-1mdv2011.0
+ Revision: 551162
- update to new version 1.12.3

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1.12.2-1mdv2011.0
+ Revision: 550273
- new version

* Wed Apr 14 2010 Götz Waschk <waschk@mandriva.org> 1.12.1-1mdv2010.1
+ Revision: 534704
- new version

* Wed Mar 31 2010 Götz Waschk <waschk@mandriva.org> 1.12.0-1mdv2010.1
+ Revision: 530454
- update to new version 1.12.0

* Sun Mar 21 2010 Götz Waschk <waschk@mandriva.org> 1.11.0-1mdv2010.1
+ Revision: 526133
- update to new version 1.11.0

* Sat Feb 27 2010 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2010.1
+ Revision: 512490
- new version

* Sun Dec 06 2009 Funda Wang <fwang@mandriva.org> 1.10.0-1mdv2010.1
+ Revision: 474122
- new version 1.10.0

* Sat Nov 21 2009 Funda Wang <fwang@mandriva.org> 1.9.2-1mdv2010.1
+ Revision: 468071
- New version 1.9.2

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 1.9.1-1mdv2010.1
+ Revision: 460841
- update to new version 1.9.1

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 1.9.0-1mdv2010.0
+ Revision: 416308
- new version
- add openal plugin

* Mon Jun 15 2009 Funda Wang <fwang@mandriva.org> 1.8.1-1mdv2010.0
+ Revision: 385956
- New version 1.8.1

* Thu Jun 11 2009 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2010.0
+ Revision: 385061
- new version
- drop patch

* Mon Jun 08 2009 Götz Waschk <waschk@mandriva.org> 1.7.3-1mdv2010.0
+ Revision: 383898
- update to new version 1.7.3

* Fri Apr 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.7.2-1mdv2009.1
+ Revision: 367902
- fix deps (zlib-devel)
- 1.7.2
- fix autopoo

* Mon Feb 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.6.4-3mdv2009.1
+ Revision: 338926
- No arts anymore...

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 1.6.4-2mdv2009.1
+ Revision: 334734
- rebuild for new libltdl

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 1.6.4-1mdv2009.1
+ Revision: 328266
- 1.6.4

* Sun Dec 21 2008 Götz Waschk <waschk@mandriva.org> 1.6.3-1mdv2009.1
+ Revision: 317118
- new version
- fix build

* Thu Nov 13 2008 Götz Waschk <waschk@mandriva.org> 1.6.2-1mdv2009.1
+ Revision: 302637
- update to new version 1.6.2

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2009.1
+ Revision: 301677
- update to new version 1.6.1

* Wed Nov 05 2008 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 300003
- update to new version 1.6.0

* Fri Aug 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-1mdv2009.0
+ Revision: 277348
- 1.5.1

* Sun Aug 03 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-1mdv2009.0
+ Revision: 262019
- 1.5.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdv2009.0
+ Revision: 210361
- disable no undefined workaround

* Fri May 23 2008 Götz Waschk <waschk@mandriva.org> 1.4.3-1mdv2009.0
+ Revision: 210270
- fix buildrequires for stupid KDE
- new version
- disable no undefined option to make it build

* Mon Apr 21 2008 Götz Waschk <waschk@mandriva.org> 1.4.2-1mdv2009.0
+ Revision: 196116
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.4.1-1mdv2009.0
+ Revision: 192392
- new version

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 1.3.0-2mdv2008.1
+ Revision: 180900
- use alsa by default
- split pulseaudio plugin

* Mon Mar 03 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-1mdv2008.1
+ Revision: 177857
- 1.3.0 (Major bugfixes)

* Wed Feb 20 2008 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2008.1
+ Revision: 173165
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Fri Feb 01 2008 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2008.1
+ Revision: 161062
- New version 1.2.0

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 1.1.0-1mdv2008.1
+ Revision: 152836
- new version
- add arts plugin

* Sat Dec 29 2007 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 139179
- New version 1.0.1

* Thu Dec 27 2007 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 138436
- add esd plugin
- new version
- drop patch

* Thu Dec 20 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.rc3.2mdv2008.1
+ Revision: 136006
- fix pulse plugin

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.rc3.1mdv2008.1
+ Revision: 132240
- add additional audio output plugins
- make pulseaudio the default output plugin
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.rc2.1mdv2008.1
+ Revision: 116874
- new version

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.rc1.1mdv2008.1
+ Revision: 115656
- fix buildrequires
- new version
- add library package

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.68-2mdv2008.1
+ Revision: 109207
- rebuild for new lzma

* Sun Nov 04 2007 Götz Waschk <waschk@mandriva.org> 0.68-1mdv2008.1
+ Revision: 105947
- new version

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.67-1mdv2008.1
+ Revision: 100093
- new version
- spec file clean

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 0.66-2mdv2008.0
+ Revision: 35061
- new version


* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 0.65-1mdv2007.0
+ Revision: 117186
- new version

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 0.64-1mdv2007.1
+ Revision: 109395
- new version

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.63-1mdv2007.1
+ Revision: 108921
- new version

* Wed Dec 27 2006 Götz Waschk <waschk@mandriva.org> 0.62-1mdv2007.1
+ Revision: 102143
- new version

* Mon Oct 23 2006 Götz Waschk <waschk@mandriva.org> 0.61-1mdv2007.0
+ Revision: 71689
- Import mpg123

* Mon Oct 23 2006 Götz Waschk <waschk@mandriva.org> 0.61-1mdv2007.1
- New version 0.61

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 0.60-2mdv2007.0
- fix buildrequires

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 0.60-1mdv2007.0
- drop all patches
- change license to LGPL
- new version

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.59r-24mdk
- Rebuild

* Wed Jan 26 2005 Michael Scherer <misc@mandrake.org> 0.59r-23mdk
- from Nicolas Lécureuil <neoclust@zarb.org>
  - security fix for CAN-2004-0991
  - security fix (ref: gentoo bug #68343)

* Sat Oct 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.59r-22mdk
- Patch 8 & 9 : security fixes for CAN-2003-0865 and CAN-2004-0805

